Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Rohrleitungskomponenten verbinden

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für SOLIDWORKS
Autor Thema:  Rohrleitungskomponenten verbinden (486 mal gelesen)
Skalar
Mitglied



Sehen Sie sich das Profil von Skalar an!   Senden Sie eine Private Message an Skalar  Schreiben Sie einen Gästebucheintrag für Skalar

Beiträge: 60
Registriert: 26.01.2007

Win10 / SX2018

erstellt am: 13. Sep. 2021 18:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


BgUndT.jpg

 
Hallo Gemeinde,

ich habe eine Bibliothek von Bögen, Abzweigen und Reduzierungen nach EN10253. Diese werden in der Werkstatt zu Baugruppen vorgefertigt, weshalb ich sie aneinandersetzten muss.
Im Moment machen ich das mit den Verknüpfungen
-Kanten-deckungsgleich und
-Ebenen-deckungsgleich (oder eben im Winkel)
Das scheint mir aber nicht optimal zu sein. Gibt es eine bessere Lösung dafür?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

swx-cad-nutzer
Mitglied
Konstr


Sehen Sie sich das Profil von swx-cad-nutzer an!   Senden Sie eine Private Message an swx-cad-nutzer  Schreiben Sie einen Gästebucheintrag für swx-cad-nutzer

Beiträge: 370
Registriert: 15.06.2011

SWX 2019
SP 3.0
64 bit
16GB RAM
HP Z420 Workstation

erstellt am: 14. Sep. 2021 06:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Hallo, da bin ich mal gespannt auf Antworten, denn es erscheint mir schon optimal.
Was Du machen könntest: In jeden Teil noch eine Skizze mit einem Punkt an ende der Kontur setzen, dann darauf zu Verknüpfen. (Vielleicht? erkennt SWX beim Ersetzen die Punkte?) Ist aber einiges an Arbeit und würde ich mal probieren. Die Ebenen zur Ausrichtung brauchst Du immer.

------------------
https://www.radiobob.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 3314
Registriert: 11.02.2005

Win 10
SWX 2019 SP 5.0

erstellt am: 14. Sep. 2021 09:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

entweder du gehst auf die Methode mit den Anschlußpunkten,
welche aber glaube ich nur fürs Routing Vorteile bringt

oder

Füge an den Kontaktpunkten Punkte in der Mitte ein (Punkte als Feature)
dann kannst du darüber deckungsgleich verknüpfen

und wenn du Achsen einfügst, kannst du damit kolinear verknüpfen

Mit den Hauptebenen kannst du noch immer Winkel verknüpfen

Vorteilhaft wäre, wenn du dies alles möglichst weit vorne im Featurebaum machst (Rechenzeit)

lg Martin

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko Soehnholz
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Heiko Soehnholz an!   Senden Sie eine Private Message an Heiko Soehnholz  Schreiben Sie einen Gästebucheintrag für Heiko Soehnholz

Beiträge: 4745
Registriert: 03.07.2002

SOLIDWORKS seit 2001
CSWS-TSO/TSA/MD/TMD
CSWS-C/D/I/MBD/VIS/S/F/P
CSWP-Core/DT/MT/SM/SU/WD/MBD/Flow
CSWE/CSSP/CSPP/CSWI
3DX CSV/IFW/WXD/XFO/UES/LTR/XBT/XWC/DRA/XMO
SWX Digital Media Award 2018+2019
SWPUC
SWX 2019SP5/2020SP4/2021SP4.1
Simu, Flow, Plastics, Composer, MBD,
Inspection, PDMP, Visualize, TopsWorks,
DPS Tools, JobBox, MacroSheet, etc.
Passungstabelle von Heinz
WIN10x64 21H1 HP ZBook 17 G5

erstellt am: 14. Sep. 2021 09:25    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Moin,

da fällt mir die recht neue Verknüpfung "Profilmitte" ein, die auch die Möglichkeit bietet, die Rotation zu sperren. D.h. das immer dann, wenn die Ausrichtung passt, die 2te Verknüpfung gespart werden kann.

Wenn die Ausrichtung aber immer eine andere ist, so ist die Vereinfachung per Verknüpfungsreferenz schlecht(er) möglich. Aber immerhin könntest du damit bereits die erste Verknüpfung erstellen (lassen).

Entgegen meiner Vorredner finde ich, das ein Punkt keine Vereinfachung / Verbesserung mit sich bringen wird. Punkt auf Punkt steuert ja nur 3 von 6 Freiheitsgraden. Die Profilmitte an den beiden Kreiskante hingegen 5 oder gar alle 6 !

------------------
Einen schönen Gruß von Heiko
www.dps-software.dewww.dps-akademie.dewww.iknow-solidworks.dewww.youtube.de/dpssoftwaregmbh

[Diese Nachricht wurde von Heiko Soehnholz am 14. Sep. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 3314
Registriert: 11.02.2005

Win 10
SWX 2019 SP 5.0

erstellt am: 14. Sep. 2021 10:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich


210914_Rohrbogen_1.JPG


210914_Rohrbogen_2.JPG


210914_Rohrbogen_mit_Punkten_und_Achsen.SLDPRT

 
anbei mal ein Modell,
etwas überkomplentiert,
Heiko, mit dem Punkt hast du glaube ich recht

Achsen kolinear
Ebenen deckungsgleich
Ebene rechts mit Winkel verknüpfen

ist meiner Meinung die Rechenleistung sparenste Methode

edit: die Ebenen und Achsen... natürlich noch im Teil ausblenden und nur über den Featuremanager anwählen

lg Martin

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer  

[Diese Nachricht wurde von dopplerm am 14. Sep. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andi Beck
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von Andi Beck an!   Senden Sie eine Private Message an Andi Beck  Schreiben Sie einen Gästebucheintrag für Andi Beck

Beiträge: 2435
Registriert: 02.10.2006

Firma: SW 2021-4.1 + PDM Prof.
Windows 10 Pro 64bit, i7-2600K
3,4 GHz, 16 GbRAM, Quadro K2000
250GB SSD
Home:
SW 2018-5.0
SW 2019-5.0
SW 2020-5.0
SW 2021-4.1
Passungstabelle von Heinz
Windows 10 Home 64bit,
i7-860, 3,1 GHz, 16 GbRAM, GeForce GTX 1050Ti
Samsung SSD 860EVO, 500GB
Samsung C34H892, 3440 x 1440 Pixel

erstellt am: 14. Sep. 2021 10:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Hallo,
ich möchte noch folgende Stichpunkte hinzufügen:

Intelligente Verknüpfungen

Magnetische Verknüpfungen


Grüße, Andi 

------------------
Hast du kein Problem?
Such dir eins. ( Und löse es )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko Soehnholz
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Heiko Soehnholz an!   Senden Sie eine Private Message an Heiko Soehnholz  Schreiben Sie einen Gästebucheintrag für Heiko Soehnholz

Beiträge: 4745
Registriert: 03.07.2002

SOLIDWORKS seit 2001
CSWS-TSO/TSA/MD/TMD
CSWS-C/D/I/MBD/VIS/S/F/P
CSWP-Core/DT/MT/SM/SU/WD/MBD/Flow
CSWE/CSSP/CSPP/CSWI
3DX CSV/IFW/WXD/XFO/UES/LTR/XBT/XWC/DRA/XMO
SWX Digital Media Award 2018+2019
SWPUC
SWX 2019SP5/2020SP4/2021SP4.1
Simu, Flow, Plastics, Composer, MBD,
Inspection, PDMP, Visualize, TopsWorks,
DPS Tools, JobBox, MacroSheet, etc.
Passungstabelle von Heinz
WIN10x64 21H1 HP ZBook 17 G5

erstellt am: 14. Sep. 2021 11:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Dazu ein paar Anmerkung aus meiner Sicht:

Routing
- Die Routing-Punkte sind nicht verwendbar für eine Verknüpfung
- Das Routing erwartet zwischen den Fittings immer ein Rohrstück. Das hilft hier also auch nicht weiter.

Intelligente Verknüpfung
- Unabhängig davon, welche Verknüpfungen ideal sind, sollte natürlich die Verknüpfung immer schnell/einfach/mit wenig Klicks erstellt werden.
- Stand heute finde ich die Schnellverknüpfung besser, als die intelligente Verknüpfung. Sie kann einfach mehr. Und das mit geringstem Aufwand.

Magnetische Verknüpfung
- Die wird in diesem Fall nicht helfen, werden doch die Komponenten immer zuerst auf den Boden gesetzt. Wo ist der hier?
- Die gewünschte Rotation des Bauteils lässt sich hiermit nicht abbilden.

Verknüpfungsreferenz
- Verknüpfungsreferenzen in die Komponenten zu bringen, halte ich für einen guten Weg.
- So kann zumindest das "Andocken" der Komponenten bei der Einfügung automatisiert werden.

Hilfs-/Referenz-Geometrien
- Ebenen können meist nur im FeatureManager gewählt werden, oder müssen aber eingeblendet sein. Nicht optimal.
- Skizzen-Punkte oder andere Elemente erfordern ebenfalls die Sichtbarkeit der Skizze. Stört später auch (bei der Zeichnungsableitung).
- Koordinatensysteme oder Achsen dito.
- Gerne verwende ich auch mal kleine Flächen. Die lägen hier aber eher in den Komponenten und wären schwer zu selektieren. Schade.
  Wäre sonst mein Favorit...

Hier, in diesem Video, sieht man, wie ich eine Verknüpfungsreferenz beim Einfügen und eine Hilfsfläche für eine Schnellverknüpfung im 2ten Schritt verwende (Wenn auch in einem anderen Kontext):
https://youtu.be/Jwl9bgz0zLE?t=60


------------------
Einen schönen Gruß von Heiko
www.dps-software.dewww.dps-akademie.dewww.iknow-solidworks.dewww.youtube.de/dpssoftwaregmbh

[Diese Nachricht wurde von Heiko Soehnholz am 14. Sep. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

uy64
Mitglied
CAD Konstrukteur


Sehen Sie sich das Profil von uy64 an!   Senden Sie eine Private Message an uy64  Schreiben Sie einen Gästebucheintrag für uy64

Beiträge: 75
Registriert: 06.02.2001

HP Z4 G4 Workstation
Intel Xenon(R) W-2125 CPU @ 4,00GHz, 32GB RAM
NVIDIA Quadro P2000
Windows 10 Pro Version 1909
PTC Creo Elements/Direct Modeling 19.0
PTC Creo Elements/Direct Drafting 19.0
PTC Creo Elements/Direct Model Manager 19.0
Microsoft Dynamics NAV 2009 Classic SP1

erstellt am: 14. Sep. 2021 11:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Das Tool dazu heißt Solid Works Routing dachte ich immer.
Zu finden unter Zusatzanwendungen.
 

------------------
Made with 100% recyceled electrons!

"Ein ganz böser Zwang ist die Vermassung. Wenn viele Menschen dasselbe glauben, kommen sie leicht zu dem Ergebnis: Freßt Scheiße, Millionen Fliegen können sich nicht Irren." 
- Konrad Lorenz -

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lueghi
Mitglied



Sehen Sie sich das Profil von Lueghi an!   Senden Sie eine Private Message an Lueghi  Schreiben Sie einen Gästebucheintrag für Lueghi

Beiträge: 342
Registriert: 01.07.2005

CAD...: SWX2020 SP5, ACAD 2019, Tacton / LINO
PDM...: PRO.FILE 8.6
ERP...: proAlpha 6.2e
System: Win10, HP ZBook G5

erstellt am: 14. Sep. 2021 12:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Heiko Soehnholz:
Dazu ein paar Anmerkung aus meiner Sicht:

...
[b]Magnetische Verknüpfung

- Die wird in diesem Fall nicht helfen, werden doch die Komponenten immer zuerst auf den Boden gesetzt. Wo ist der hier?
- Die gewünschte Rotation des Bauteils lässt sich hiermit nicht abbilden.
...
[/B]



Da möchte ich gaaannnz leicht widersprechen. Wir haben so ein Problem mit Rohrleitungen aktuell mit den magnetischen Verknüpfungen gelöst. Man braucht keinen Boden dafür  . Wir setzen Teil an Teil und haben keinen "Routing-Pfad". Da gibt es auch ein youtube-Video zu (war irgendwas mit Abwasserleitungen). Wenn ich eine bestimmte Ausrichtung benötige, dann editiere ich die automatisch eingefügte "Standard"-Verknüpfung oder lasse je nach Teil einen Freiheitsgrad direkt frei.

------------------
Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko Soehnholz
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Heiko Soehnholz an!   Senden Sie eine Private Message an Heiko Soehnholz  Schreiben Sie einen Gästebucheintrag für Heiko Soehnholz

Beiträge: 4745
Registriert: 03.07.2002

SOLIDWORKS seit 2001
CSWS-TSO/TSA/MD/TMD
CSWS-C/D/I/MBD/VIS/S/F/P
CSWP-Core/DT/MT/SM/SU/WD/MBD/Flow
CSWE/CSSP/CSPP/CSWI
3DX CSV/IFW/WXD/XFO/UES/LTR/XBT/XWC/DRA/XMO
SWX Digital Media Award 2018+2019
SWPUC
SWX 2019SP5/2020SP4/2021SP4.1
Simu, Flow, Plastics, Composer, MBD,
Inspection, PDMP, Visualize, TopsWorks,
DPS Tools, JobBox, MacroSheet, etc.
Passungstabelle von Heinz
WIN10x64 21H1 HP ZBook 17 G5

erstellt am: 14. Sep. 2021 13:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Zitat:

Da möchte ich gaaannnz leicht widersprechen.

Akzeptiert; da war ich im Irrtum.

Ich erinnere mich nun auch an das Video meines Kollegen. https://www.youtube.com/watch?v=PXENS1KkXlY

Dennoch ist die Rotation dadurch nicht wirklich gelöst. Dabei bleibe ich. Denn die Triade hat damit nichts zu tun und kann genauso gut bei den verknüpften Komponenten Verwendung finden. Und wenn die Komponenten einmal schief im Raum lagen, hilft auch die Drehung über die Triade nicht wirklich. Und dann müssen doch wieder Verknüpfungen her...

Und wenn ihr die Triade verwendet: Wie löst ihr das Problem mit den 0,5 Grad Abweichung bei der Lage?

------------------
Einen schönen Gruß von Heiko
www.dps-software.dewww.dps-akademie.dewww.iknow-solidworks.dewww.youtube.de/dpssoftwaregmbh

[Diese Nachricht wurde von Heiko Soehnholz am 14. Sep. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Skalar
Mitglied



Sehen Sie sich das Profil von Skalar an!   Senden Sie eine Private Message an Skalar  Schreiben Sie einen Gästebucheintrag für Skalar

Beiträge: 60
Registriert: 26.01.2007

Win10 / SX2018

erstellt am: 14. Sep. 2021 15:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Triade.jpg

 
Vielen Dank
euch allen für die guten Ideen. Ich habe jetzt einmal die magnetische Verknüpfung versucht und sie funktioniert auch. Allerdings ist mir das Versetzen der Triade recht aufwendig und dann gibt es auch nur ein 0,5 Grand Inkrement. Ich werde es aber noch testen.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Lueghi
Mitglied



Sehen Sie sich das Profil von Lueghi an!   Senden Sie eine Private Message an Lueghi  Schreiben Sie einen Gästebucheintrag für Lueghi

Beiträge: 342
Registriert: 01.07.2005

CAD...: SWX2020 SP5, ACAD 2019, Tacton / LINO
PDM...: PRO.FILE 8.6
ERP...: proAlpha 6.2e
System: Win10, HP ZBook G5

erstellt am: 15. Sep. 2021 16:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Heiko Soehnholz:

...
Dennoch ist die Rotation dadurch nicht wirklich gelöst. Dabei bleibe ich. Denn die Triade hat damit nichts zu tun und kann genauso gut bei den verknüpften Komponenten Verwendung finden. Und wenn die Komponenten einmal schief im Raum lagen, hilft auch die Drehung über die Triade nicht wirklich. Und dann müssen doch wieder Verknüpfungen her...

Und wenn ihr die Triade verwendet: Wie löst ihr das Problem mit den 0,5 Grad Abweichung bei der Lage?



Da ich die Rohre über Ebenen verknüpft habe, kann ich die Ausrichtung über eine geänderte Ebenenverknüpfung in der BG ganz gezielt verändern ... oder habe ich jetzt etwas falsch verstanden?

------------------
Gruß Stefan

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Skalar
Mitglied



Sehen Sie sich das Profil von Skalar an!   Senden Sie eine Private Message an Skalar  Schreiben Sie einen Gästebucheintrag für Skalar

Beiträge: 60
Registriert: 26.01.2007

Win10 / SX2018

erstellt am: 15. Sep. 2021 17:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

So, ich habe noch mit den magnetischen Verkündungen gespielt, aber die Zeit die ich beim ersten Einfügen durch den "Magnetismus" spare, verliere durch die anschließende Positionierung via Triade. Und falls ich noch die Ebenen einblenden muss, um die Ausrichtung zu ändern, dann bin ich wieder da wo ich angefangen habe (Kanten deckungsgleich, Ebenen deckungsgleich).
Das Entscheidende hat Heiko oben geschrieben:
Zitat:
Original erstellt von Heiko Soehnholz:
...sollte natürlich die Verknüpfung immer schnell/einfach/mit wenig Klicks erstellt werden...
Ich habe in meinen Modellen die richtigen Ebenen und auch einige Verknüpfungsreferenzen. Mein Problem ist ja nur, das schnelle Ein-und-Ausblenden dieser Features.
Meine Idee ist ein Makro, dass alle Ebenen und Verknüpfungsreferenzen für ein ausgewähltes Teil in einer Baugruppe Ein-und-Ausblendet. Und falls kein Teil gewählt ist schaltet es die Ebenen der Baugruppe hin und her.
So brauche ich nicht mehrmals tief in den FM abzutauchen.
Für die Baugruppe funktioniert das schon, nur mit dem ausgewählten Teil habe ich noch Probleme - aber dafür mache ich einen anderen Thread auf.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Heiko Soehnholz
Ehrenmitglied V.I.P. h.c.
Dipl.-Ing. Maschinenbau



Sehen Sie sich das Profil von Heiko Soehnholz an!   Senden Sie eine Private Message an Heiko Soehnholz  Schreiben Sie einen Gästebucheintrag für Heiko Soehnholz

Beiträge: 4745
Registriert: 03.07.2002

SOLIDWORKS seit 2001
CSWS-TSO/TSA/MD/TMD
CSWS-C/D/I/MBD/VIS/S/F/P
CSWP-Core/DT/MT/SM/SU/WD/MBD/Flow
CSWE/CSSP/CSPP/CSWI
3DX CSV/IFW/WXD/XFO/UES/LTR/XBT/XWC/DRA/XMO
SWX Digital Media Award 2018+2019
SWPUC
SWX 2019SP5/2020SP4/2021SP4.1
Simu, Flow, Plastics, Composer, MBD,
Inspection, PDMP, Visualize, TopsWorks,
DPS Tools, JobBox, MacroSheet, etc.
Passungstabelle von Heinz
WIN10x64 21H1 HP ZBook 17 G5

erstellt am: 15. Sep. 2021 18:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich


SWXPrimaereEbenenEinAusblenden.jpg

 
Nun ja, das Ein-/Ausblenden der primären Ebenen der Hauptbaugruppe oder von selektierten Komponenten, beherrscht SWX 2021 von sich aus. Dafür brauchts kein Makro (mehr).

------------------
Einen schönen Gruß von Heiko
www.dps-software.dewww.dps-akademie.dewww.iknow-solidworks.dewww.youtube.de/dpssoftwaregmbh

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

dopplerm
Ehrenmitglied V.I.P. h.c.
Konstrukteur


Sehen Sie sich das Profil von dopplerm an!   Senden Sie eine Private Message an dopplerm  Schreiben Sie einen Gästebucheintrag für dopplerm

Beiträge: 3314
Registriert: 11.02.2005

Win 10
SWX 2019 SP 5.0

erstellt am: 16. Sep. 2021 08:44    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Hallo Heiko,

da ich Unerlegscheiben, Schrauben und Muttern
hauptsächlich über die Hauptebenen verknüpfe
und dies eigentlich immer über den Featuremanager erledigt habe,
ist mir dies noch gar nicht aufgefallen,
wird aber für die Zukunft hoffentlich in meinem Kopf abgespeichert
und auch verwenden

Ach man ist so oft in seinen angewöhnten Arbeitsweisen gefangen....

lg Martin

------------------
ich spiel noch immer gern mit Bauklötzen, nur sind sie jetzt teurer 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Skalar
Mitglied



Sehen Sie sich das Profil von Skalar an!   Senden Sie eine Private Message an Skalar  Schreiben Sie einen Gästebucheintrag für Skalar

Beiträge: 60
Registriert: 26.01.2007

Win10 / SX2018

erstellt am: 16. Sep. 2021 09:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Dass man die Hauptebenen schnell ein- und ausschalten kann ist sehr gut. Ich möchte aber auch Hilfsebenen, Hilfsachsen und Verknüpfungsreferenzen schnell anzeigen und wieder ausblenden können.
Deshalb das Makro.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Christoph Weise
Mitglied
Technischer Produktdesigner / Konstruktion / CAD-Admin


Sehen Sie sich das Profil von Christoph Weise an!   Senden Sie eine Private Message an Christoph Weise  Schreiben Sie einen Gästebucheintrag für Christoph Weise

Beiträge: 154
Registriert: 22.03.2015

1. Rechner
Dell 3640
Intel I7 10700k
32 GB RAM
Nvidia P2200 5GB<P>
2. Rechner
Fujitsu Celsius
Intel Xenon E5-1620
32 GB RAM
Nvidia P4000 8GB
jeweils:
Win 10 20H2 64-bit
SolidWorks 2020SP5
QuickPress 6.3
PortaX 2.25

erstellt am: 17. Sep. 2021 09:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich

Hallo,

so ein Makro bzw. eine Anfrage zum Makro wurde schon hier vor längerem gepostet.
Dabei gieng es auch um das Ausblenden von Ebenen und Achsen in der Baugruppe.
vieleicht hilft es dir weiter:

KLICK


Gruß Christoph

------------------
Wer einen Fehler findet darf ihn behalten,
wer zwei findet kann beide behalten,
ab fünf Fehler gibs Rabatt :-)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andi Spieler
Mitglied
Mechaniker


Sehen Sie sich das Profil von Andi Spieler an!   Senden Sie eine Private Message an Andi Spieler  Schreiben Sie einen Gästebucheintrag für Andi Spieler

Beiträge: 1077
Registriert: 12.12.2002

SOLIDWORKS 2021SP4.1

erstellt am: 17. Sep. 2021 18:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Skalar 10 Unities + Antwort hilfreich


MM_Rohre_ASP.jpg


MM_Rohre_ASP.mp4


MagneticMates_SWX2018_ASP.zip

 
So verleg' ich die Rohre

(Magnetic Mates), ausrichten mit präzisen Winkeln über Verknüpfungen auf die temp. Achsen, ab&zu ein Teil fixieren, drehen (wenn Freiheitsgrade) mit der rechten Maustaste, kopieren mit Strg und Drag&Drop-

VG
AndiS

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Skalar
Mitglied



Sehen Sie sich das Profil von Skalar an!   Senden Sie eine Private Message an Skalar  Schreiben Sie einen Gästebucheintrag für Skalar

Beiträge: 60
Registriert: 26.01.2007

Win10 / SX2018

erstellt am: 21. Sep. 2021 17:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Toggle.gif

 
Ich schau mir das mit den magnetischen Verknüpfungen noch einmal an.
Vorerst habe ich mein Makro soweit fertig, dass es mir schell alle Referenzgeometrien ein- und ausblendet.
Vielleicht kann es jemand brauchen.
Code:
Option Explicit
Sub main()
    Dim swApp As SldWorks.SldWorks
    Dim swModel As SldWorks.ModelDoc2
    Dim swSelMgr As SldWorks.SelectionMgr
    Dim swEnt As SldWorks.Entity
    Dim swComp As SldWorks.Component2
    Dim swFeat As SldWorks.Feature
    Dim bolVisible As Boolean
   
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swSelMgr = swModel.SelectionManager
    Set swEnt = swSelMgr.GetSelectedObject6(1, -1)
   
    'Prüfen ob ein Teil gewählt wurde
    If swEnt Is Nothing Then
        MsgBox "Zuerst Teil wählen!"
        Exit Sub
    End If
   
    'Prüfen ob nicht ein Objekt der Baugruppe gewählt wurde
    Set swComp = swEnt.GetComponent
    If swComp Is Nothing Then
        MsgBox "Fehler: Geometrie aus BG gewählt"
        Exit Sub
    End If

    'erstes Referenzebene des gewählten Teiles finden
    'Sichbarkeit der ersten Ebene entscheidet über die Sichtbarkeit aller weiten Ref-Geometrien
    Set swFeat = swComp.FirstFeature
    Do Until swFeat.GetTypeName2 = "RefPlane"
        'Debug.Print swFeat.Visible & "-" & swFeat.GetTypeName2
        Set swFeat = swFeat.GetNextFeature
    Loop

    bolVisible = swFeat.Visible - 1  'swFeat.Visible: 1-ausgeblendet  2-eingeblendet
   
    'alle Features durchlaufen und auswählen
    Do While Not swFeat Is Nothing
        'Debug.Print swFeat.Visible & "-" & swFeat.GetTypeName2
        If Left(swFeat.GetTypeName2, 3) = "Ref" Then 'RefPlane RefAxis RefPoint
            swFeat.Select2 True, 0
        End If
        Set swFeat = swFeat.GetNextFeature
    Loop
    If bolVisible Then
        swModel.BlankRefGeom
    Else
        swModel.UnBlankRefGeom
    End If
    swEnt.Select2 False, 0 'Auswahl wieder herstellen
End Sub


[Diese Nachricht wurde von Skalar am 21. Sep. 2021 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2021 CAD.de | Impressum | Datenschutz